﻿<?php 

echo "<map id='advancedMap' name='advancedMap'>\n";
echo "<area shape='circle' coords='433,126,7'alt='Advanced settings menu' href='".CHtml::normalizeUrl(array('status', 'advanced'=>1 ) )."' />\n";
echo "</map>\n";

if ( Yii::app()->user->branding->product=="HMP100" )
    echo CHtml::image("images/product.jpg", Yii::app()->user->branding->product, array( 'usemap'=>'#advancedMap' ))."\n";
else
    echo CHtml::image("images/product.jpg", Yii::app()->user->branding->product )."\n";

echo CHtml::tag("h2", array(), "Serial Number : " . $serial. " (HW rev. ".$hardware.")")."\n";

echo CHtml::openTag("table")."\n";

$str = $info->getFirmware();
if ( $info->isBeta() )
    $str .=" (beta version)";
echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Firmware : ").CHtml::tag("td", array(), $str ) )."\n" ;
if (Yii::app()->user->info->model=='Sakura') {
	$class=array();
	$txt="";
	if ( $info->getTemp_max() ) {
		$class['class']="red";
		$txt=" warning, maximum temperature reached!";
	}
	if ( $info->getTemp_crit() ) {
		$class['class']="red";
		$txt=" warning, critical temperature reached!";
	}
	echo CHtml::tag("tr", $class, CHtml::tag("td", array(), "Temperature : ").CHtml::tag("td", array(), round($info->getTemp(),1) . " &deg;C / ".round($info->getTempF(),1) . " &deg;F".$txt ) )."\n" ;
}
echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "IP : ").CHtml::tag("td", array(), $info->ip ." (".$info->iptype.")") ) ."\n";
echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Mac : ").CHtml::tag("td", array(), $info->mac ) ) ."\n";
echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Device name : ").CHtml::tag("td", array(), htmlspecialchars($name) ) ) ."\n";
echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Multiscreen ID :  ").CHtml::tag("td", array(), htmlspecialchars($screen) ) ) ."\n";

echo CHtml::closeTag("table")."\n";

if ( $modem->active ) {
    echo CHtml::tag("h2", array(), "3G Modem") ."\n";
    echo CHtml::openTag("table")."\n";
    
    echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Status : ").CHtml::tag("td", array(), $modem->statusstring ) )."\n" ;
    echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Signal quality : ").CHtml::tag("td", array(), $modem->signal ) )."\n" ;
    echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Device : ").CHtml::tag("td", array(), $modem->device ) )."\n" ;
    echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Serial # (IMEI) : ").CHtml::tag("td", array(), $modem->serial ) )."\n" ;
    echo CHtml::tag("tr", array(), CHtml::tag("td", array(), "Mobile Subscriber ID : ").CHtml::tag("td", array(), $modem->subscriber ) )."\n" ;
    
    echo CHtml::closeTag("table")."\n";
    
}

if ( count($usb->devices)>0 ) {
    echo CHtml::tag("h2", array(), "USB Devices") ."\n";
    echo CHtml::openTag("table")."\n";
    foreach ($usb->devices as $device )
        echo CHtml::tag("tr", array(), CHtml::tag("td", array(), $device) )."\n" ;
    
    echo CHtml::closeTag("table")."\n";
}
